com.verisign.epp.codec.balance

## Class EPPBalanceTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.codec.balance.EPPBalanceTst

- All Implemented Interfaces:
    junit.framework.Test

      public class EPPBalanceTst
      extends junit.framework.TestCase

  Is a unit test of the com.verisign.epp.codec.balance package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.balance command and response classes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPBalanceTst(java.lang.String name)` Creates a new EPPBalanceTst object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Main for the com.verisign.epp.codec.balance.EPPBalanceTst unit tests.
    `static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
    `protected void` | `setUp()` JUNIT `setUp` method
    `static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPBalanceTst`.
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testBalanceInfoCmd()` Test the `EPPBalanceInfoCmd`, which has no attributes beyond that of an `EPPCommand`.
    `void` | `testBalanceInfoResp()` Test the `EPPBalanceInfoResp`.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPBalanceTst

          public EPPBalanceTst(java.lang.String name)

      Creates a new EPPBalanceTst object.
      Parameters:
        `name` - DOCUMENT ME!

  - ### Method Detail

    - #### testBalanceInfoCmd

          public void testBalanceInfoCmd()

      Test the `EPPBalanceInfoCmd`, which has no attributes beyond that of an `EPPCommand`. The only test is to create the `EPPBalanceInfoCmd` and then ensure that it can be encoded and decoded propertly.

    - #### testBalanceInfoResp

          public void testBalanceInfoResp()

      Test the `EPPBalanceInfoResp`. The only real variance with the `EPPBalanceInfoResp` is whether the `creditThreshold` attribute is a fixed dollar amount or a percentage.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPBalanceTst`.
      Returns:
        Tests to run

    - #### main

          public static void main(java.lang.String[] args)

      Main for the com.verisign.epp.codec.balance.EPPBalanceTst unit tests.
      Parameters:
        `args` - Command line arguments

    - #### setNumIterations

          public static void setNumIterations(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test